[package]
name = "hg-core"
version = "0.1.0"
authors = ["Georges Racinet <gracinet@anybox.fr>"]
description = "Mercurial pure Rust core library, with no assumption on Python bindings (FFI)"
edition = "2018"
build = "build.rs"

[lib]
name = "hg"

[dependencies]
byteorder = "1.3.1"
hex = "0.4.0"
lazy_static = "1.3.0"
libc = { version = "0.2.66", optional = true }
memchr = "2.2.0"
rand = "0.6.5"
rand_pcg = "0.1.1"
rayon = "1.3.0"
regex = "1.1.0"
twox-hash = "1.5.0"
same-file = "1.0.6"

[dev-dependencies]
clap = "*"
memmap = "0.7.0"
pretty_assertions = "0.6.1"
tempfile = "3.1.0"

[build-dependencies]
cc = { version = "1.0.48", optional = true }

[features]
default = []
with-re2 = ["cc", "libc"]
